<?xml version="1.0"?>
<PropertyList>
	<name>hk36-failures</name>
	<layout>vbox</layout>
	<default-padding>5</default-padding>
	<modal>false</modal>
	<width>500</width>
	<!-- title bar -->
	<group>
		<layout>hbox</layout>
		<empty>
			<stretch>true</stretch>
		</empty>
		<text>
			<label>System Failures</label>
		</text>
		<empty>
			<stretch>true</stretch>
		</empty>
		<button>
			<legend/>
			<key>Esc</key>
			<pref-width>16</pref-width>
			<pref-height>16</pref-height>
			<border>2</border>
			<binding>
				<command>dialog-close</command>
			</binding>
		</button>
	</group>
	<hrule/>
	<group>
		<layout>vbox</layout>
		<text>
			<label>Fuel System</label>
		</text>
		<group>
			<layout>hbox</layout>
			<text>
				<label>Fuel Tank Leakage</label>
			</text>
			<slider>
				<halign>right</halign>
				<name>tank-leakage</name>
				<pref-width>250</pref-width>
				<min>0.0</min>
				<max>1</max>
				<step>0.01</step>
				<live>true</live>
				<property>/fdm/jsbsim/propulsion/tank[0]/leakage-norm</property>
				<binding>
					<command>dialog-apply</command>
				</binding>
			</slider>
		</group>
		<group>
			<layout>hbox</layout>
			<text>
				<label>Pressure Regulator Leakage</label>
			</text>
			<slider>
				<halign>right</halign>
				<name>tank-leakage</name>
				<pref-width>250</pref-width>
				<min>0.0</min>
				<max>1</max>
				<step>0.01</step>
				<live>true</live>
				<property>/fdm/jsbsim/propulsion/tank[1]/leakage-norm</property>
				<binding>
					<command>dialog-apply</command>
				</binding>
			</slider>
		</group>
		<text>
			<label>Unchecked when failed:</label>
		</text>
		<group>
			<layout>hbox</layout>
			<checkbox>
				<row>4</row>
				<col>0</col>
				<halign>left</halign>
				<label>Engine Fuel Pump</label>
				<property>/fdm/jsbsim/systems/fuel/engine-pump/serviceable</property>
				<live>true</live>
				<binding>
					<command>dialog-apply</command>
				</binding>
			</checkbox>
			<checkbox>
				<row>4</row>
				<col>1</col>
				<halign>left</halign>
				<label>Boost Fuel Pump</label>
				<property>/fdm/jsbsim/systems/fuel/boost-pump/serviceable</property>
				<live>true</live>
				<binding>
					<command>dialog-apply</command>
				</binding>
			</checkbox>
		</group>
	</group>
</PropertyList>
